### Method

# Ide EditorSurface get_active_page

#### Declaration

    IdePage*
    ide_editor_surface_get_active_page (
      IdeEditorSurface* self
    )

#### Description

Gets the active page for the surface, or `NULL` if there is not one.

Available since: | 3.32

#### Return value

Returns: | `IdePage`
| An `IdePage` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.